読者です 読者をやめる 読者になる 読者になる

日々精進

新しく学んだことを書き留めていきます

TomcatにWarファイルをデプロイし、ブラウザからアクセスすると「Unsupported major.minor version 51.0」エラーが出る

原因はTomcatが使っているJVMのバージョンで実行出来るJavaのバージョンとコンパイル時に使ったJavaのバージョンが異なるため。 具体的にはコンパイル時はJDK1.8を使っていたがTomcatはJDK.7を使っていたためエラーが出た。 Unsupported major.minor version 52.0の52はJDK1.8のこと。51は1.7。 Tomcat上で動かせるJavaのバージョンはTomcatのバージョンではなく、Tomcatに設定されているJDKのバージョンで決まるので注意。

参考:

stackoverflow.com